Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class FieldNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.FieldNode

All Implemented Interfaces:
  org.objectweb.asm.Opcodes, Variable

    public class FieldNode
    extends AnnotatedNode

Represents a field (member variable)

Authors:
  James Strachan

Version:
  \$Revision: 20584 \$

Constructor Summary
`FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)`

Method Summary
`Expression` | `getInitialExpression()`
`Expression` | `getInitialValueExpression()`
`int` | `getModifiers()`
`String` | `getName()`
`ClassNode` | `getOriginType()`
`ClassNode` | `getOwner()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isEnum()` @return true if the field is an enum
`boolean` | `isFinal()` @return true if the field is final
`boolean` | `isHolder()`
`boolean` | `isInStaticContext()`
`boolean` | `isPublic()` @return true if the field is public
`boolean` | `isStatic()` @return true if the field is static
`static FieldNode` | `newStatic(Class theClass, String name)`
`void` | `rename(String name)`
`void` | `setClosureSharedVariable(boolean inClosure)`
`void` | `setHolder(boolean holder)`
`void` | `setInitialValueExpression(Expression initialValueExpression)`
`void` | `setModifiers(int modifiers)`
`void` | `setOwner(ClassNode owner)` @param owner The owner to set.
`void` | `setType(ClassNode type)`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FieldNode

    public FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

### getInitialValueExpression

    public Expression getInitialValueExpression()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getOriginType

    public ClassNode getOriginType()

### getOwner

    public ClassNode getOwner()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isEnum

    public boolean isEnum()

  Returns:
    true if the field is an enum

### isFinal

    public boolean isFinal()

  Returns:
    true if the field is final

### isHolder

    public boolean isHolder()

### isInStaticContext

    public boolean isInStaticContext()

### isPublic

    public boolean isPublic()

  Returns:
    true if the field is public

### isStatic

    public boolean isStatic()

  Returns:
    true if the field is static

### newStatic

    public static FieldNode newStatic(Class theClass, String name)

### rename

    public void rename(String name)

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

### setHolder

    public void setHolder(boolean holder)

### setInitialValueExpression

    public void setInitialValueExpression(Expression initialValueExpression)

### setModifiers

    public void setModifiers(int modifiers)

### setOwner

    public void setOwner(ClassNode owner)

  Parameters:
    `owner` - The owner to set.

### setType

    public void setType(ClassNode type)

Copyright © 2003-2010 The Codehaus. All rights reserved.